<div class="container-fluid bg min-vh-100">
  <pm-page-wrapper>
    <div class="pt-4">
      <h3 class="pt-5 mt-3 pb-3 font-weight-normal text-center">
        Welcome Onboard!
      </h3>
      <div class="d-flex">
        <div class="mx-auto mw-100" style="max-height: 280px">
          <img src="assets/images/register3.png" alt="girl and boy sitting" />
        </div>
      </div>

      <div class="form-container d-flex justify-content-center">
        <form
          class="formWidth"
          [formGroup]="registerForm"
          (ngSubmit)="registerUser()"
        >
          <div class="form-group mb-2">
            <label for="email"></label>
            <input
              type="email"
              class="form-control"
              formControlName="email"
              autocomplete="new-email"
              placeholder="Enter your Email address"
              required
            />
          </div>
          <div class="form-group mb-2">
            <label for="password"></label>
            <input
              type="password"
              class="form-control"
              formControlName="password"
              autocomplete="new-password"
              placeholder="Confirm you Password"
            />
            <p>{{ errorMessage }}</p>
          </div>
          <button
            type="submit"
            class="btn btn-primary text-white d-block w-100 mt-4"
          >
            Register
          </button>
          <div class="pt-2">
            <p>
              Already have an account?
              <a href="/login" class="text-decoration-none">Sign In</a>
            </p>
          </div>
        </form>
      </div>
    </div>
  </pm-page-wrapper>
</div>
